Katello - Bug #5857

Activation Keys with Spaces in their names fail in the default kickstart file
05/21/2014 05:00 PM - Thomas McKay

Status: Closed

Priority: Normal

Assignee: Thomas McKay

Category: Hosts

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1051580 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1051580
If the kickstart file is generated with Spaces, then the following is generated in the kickstart file:

Assume Activtion Key Name is "A Test Key"
subscription-manager regiseter --activationkey A Test Key

This fails, since Test and Key are parsed as options. It needs to have quotes to make it work.

Associated revisions

Revision d4795752 - 05/21/2014 05:03 PM - Thomas McKay

fixes #5857 - enclose sub-mgr args in quotes

Revision 8a16¢fb3 - 05/23/2014 11:33 AM - Thomas McKay
Merge pull request #4131 from thomasmckay/5857-snippet

fixes #5857 - enclose sub-mgr args in quotes

History

#1 - 05/23/2014 11:52 AM - Thomas McKay
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:d4795752621160b080ca6154c353232c9fcbbfae.

#2 - 06/06/2014 01:09 PM - Eric Helms

- Triaged set to Yes

#3 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13
